Bug 213081 - sysutils/javaservicewrapper: does not build if OpenJDK 8 ist not installed
Summary: sysutils/javaservicewrapper: does not build if OpenJDK 8 ist not installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-29 11:54 UTC by Michael Osipov
Modified: 2018-09-12 10:59 UTC (History)
5 users (show)

See Also:
mike.jakubik: maintainer-feedback? (michael.osipov)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2016-09-29 11:54:21 UTC
JSW requires a bundled or external JavaScript engine to run tests. JAVA_VERSION is set to 1.4+. If you have OpenJDK7 installed, these tests fail. OpenJDK8 has Nashorn engine installed.

One either has to BUILD_DEPENDS on lang/rhino and change build-tests.xml or require JAVA_VERSION=1.8+

See reference bug: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=213080
Comment 1 Michael Osipov 2016-09-29 11:55:11 UTC
Used:
$ /usr/local/openjdk7/bin/java -version
openjdk version "1.7.0_111"
OpenJDK Runtime Environment (build 1.7.0_111-b01)
OpenJDK Server VM (build 24.95-b01, mixed mode)
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-01-16 08:56:18 UTC
Maintiainer feedback, please!
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-02-27 19:56:33 UTC
ping!
Comment 4 mike.jakubik 2018-07-09 00:34:39 UTC
Sorry guys but I no longer use this port nor do I have the time to maintain it, someone else please take over.

Thanks.
Comment 5 Michael Osipov 2018-07-19 10:00:33 UTC
(In reply to mike.jakubik from comment #4)

I'd like to take on this because I need this for Sonatype Nexus 2. Sadly, I have been waiting for my port update approval of Nexus for months now, no avail. I don't want to invest any time into something if no one is willing to review within  a several months timeframe.
Comment 6 Michael Osipov 2018-08-03 18:55:04 UTC
(In reply to mike.jakubik from comment #4)

Are you passing me the maintainership?
Comment 7 Michael Osipov 2018-08-03 20:27:09 UTC
So it pretty much seems like this issue has been overcome by events. Ant 1.9 is gone from the ports tree, only Ant 1.10 is available. Ant 1.10 requires Java 8. So this issue cannot be solved anymore:

> (cd /usr/ports/sysutils/javaservicewrapper/work/wrapper_3.5.33_src;  /usr/bin/env JAVA_HOME=/usr/local/openjdk7 XDG_DATA_HOME=/usr/ports/sysutils/javaservicewrapper/work  XDG_CONFIG_HOME=/usr/ports/sysutils/javaservicewrapper/work  HOME=/usr/ports/sysutils/javaservicewrapper/work PATH=/usr/ports/sysutils/javaservicewrapper/work/.bin:/sbin:/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/home/mosipov/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  CC="cc" CFLAGS="-O2 -pipe  -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS="-DLIBICONV_PLUG"  LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing  -DLIBICONV_PLUG"  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444" /usr/local/bin/ant -Dbits=32 -Dfreebsd.ports.destdir=/usr/ports/sysutils/javaservicewrapper/work/stage )
> Exception in thread "main" java.lang.UnsupportedClassVersionError: org/apache/tools/ant/launch/Launcher : Unsupported major.minor version 52.0
>         at java.lang.ClassLoader.defineClass1(Native Method)
>         at java.lang.ClassLoader.defineClass(ClassLoader.java:803)
>         at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
>         at java.net.URLClassLoader.defineClass(URLClassLoader.java:442)
>         at java.net.URLClassLoader.access$100(URLClassLoader.java:64)
>         at java.net.URLClassLoader$1.run(URLClassLoader.java:354)
>         at java.net.URLClassLoader$1.run(URLClassLoader.java:348)
>         at java.security.AccessController.doPrivileged(Native Method)
>         at java.net.URLClassLoader.findClass(URLClassLoader.java:347)
>         at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
>         at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:312)
>         at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
>         at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)
Comment 8 Michael Osipov 2018-08-03 20:33:26 UTC
Here is the change:

r463792 | joneum | 2018-03-07 15:00:28 +0100 (Mi., 07. März 2018) | 13 Zeilen

devel/apache-ant: Update to 1.10.1

Changelog:
 https://archive.apache.org/dist/ant/RELEASE-NOTES-1.9.8.html
 https://archive.apache.org/dist/ant/RELEASE-NOTES-1.9.9.html
 https://archive.apache.org/dist/ant/RELEASE-NOTES-1.10.0.html
 https://archive.apache.org/dist/ant/RELEASE-NOTES-1.10.1.html

*While here, switch to DISTVERSION

PR:             225655
Reported by:    hardy.schumacher@gmx.de
Comment 9 commit-hook freebsd_committer 2018-09-12 02:10:30 UTC
A commit references this bug:

Author: jmd
Date: Wed Sep 12 02:09:46 UTC 2018
New revision: 479580
URL: https://svnweb.freebsd.org/changeset/ports/479580

Log:
  sysutils/javaservicewrapper: require at least Java8

  As discussed in bug 213081, javaservicewrapper does not build without Java8.
  As discussed in bug 230418, require Java8 since Ant also requires it.
  As discussed in bug 231128, hand over mainainership from old maintainer to new
  maintainer.

  PR:		230418 213081 231128
  Submitted by:	michael.osipov@siemens.com (new maintainer)
  Approved by:	mike.jakubik@gmail.com (old maintainer)

Changes:
  head/sysutils/javaservicewrapper/Makefile
Comment 10 Michael Osipov 2018-09-12 10:59:58 UTC
Perfect, thank you!